%define name openmerchant
%define release 2mdk
%define version 0.7pre3

Summary: OpenMerchant
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Servers
Source0: http://www.opensales.org/source/openmerchant-0.7.pre3.tar.bz2
Source1: openmerchant-cron.hourly
Source2: openmerchant-apache.conf
Source3: openmerchant-setupscript.sh
Source4: openmerchant-quickstart.gz
Requires: perl-DBI Msql-Mysql-modules MySQL
BuildRoot: /var/tmp/%{name}-buildroot

%description
Content and/or commerce web-based content management
and site generation package. Provides for content 
administration, site generation, shopping cart, 
and checkout sequence.

For more information go to 
http://www.opensales.org

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/httpd
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules
%setup -n openmerchant
%build
%install
cp -a $RPM_BUILD_DIR/openmerchant $RPM_BUILD_ROOT/home/httpd/openmerchant
cp $RPM_SOURCE_DIR/openmerchant-cron.hourly $RPM_BUILD_ROOT/etc/cron.hourly/openmerchant
cp $RPM_SOURCE_DIR/openmerchant-apache.conf $RPM_BUILD_ROOT/home/httpd/openmerchant/conf
cp $RPM_SOURCE_DIR/openmerchant-setupscript.sh $RPM_BUILD_ROOT/home/httpd/openmerchant/conf/setupscript.sh
cp $RPM_SOURCE_DIR/openmerchant-apache.conf $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules/openmerchant.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Include conf/addon-modules/%{name}.conf" >> /etc/httpd/conf/httpd.conf
if [ -f /var/run/httpd.pid ]; then 
   /usr/sbin/apachectl restart
fi

%postun
if [ `uname` = "Linux" ]; then perl="/usr/bin/perl"; fi
if [ `uname` = "SunOS" ]; then perl="/usr/local/bin/perl"; fi
$perl -pi -e "s|Include conf/addon-modules/%{name}.conf\n||g;" \
	/etc/httpd/conf/httpd.conf
if [ -f /var/run/httpd.pid ]; then 
   /usr/sbin/apachectl restart
fi


%files
%defattr(-,root,root)
%dir /home/httpd/openmerchant
/home/httpd/openmerchant/*
%config /etc/cron.hourly/openmerchant
%config /etc/httpd/conf/addon-modules/openmerchant.conf

%doc $RPM_SOURCE_DIR/openmerchant-quickstart.gz

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7pre3-2mdk
- build release 

* Mon Apr 17 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.7pre3-1mdk
- mandrake adaptations
- merged with the TurboLinux version

* Mon Dec 20 1999 Roger Luethi <rluethi@turbolinux.com>
- upgrade to 0.7 pre3
- added openmerchant-cron.hourly
- changed openmerchant-apache.conf (should work now)
- added openmerchant-setupscript.sh (populates sample MySQL database)
- added openmerchant-quickstart.gz

* Sun Dec 19 1999 Roger Luethi <rluethi@turbolinux.com>
- append apache config directives to the end of httpd.conf (inserting them
  on the top rendered perfectly working configurations useless)
- couple of clean ups. changed the package's name from openmerchant0_7 to
  openmerchanet

* Tue Dec 7 1999 Ivan Bach <ivan@opensales.com>
- Created distribution.
